<% Option Explicit %>
<%
Dim APServer, APPrinter
Dim physOutputDirectory, OutputDirectory, lRet
Dim physPDFFileName, PDFFileName
Dim Color

' Die Datei wird in das Root Verzeichnis geschrieben:
OutputDirectory = "/"
physOutputDirectory = Server.MapPath(OutputDirectory)

' Instanziere activePDF Server Objekt
Set APServer = Server.CreateObject("APServer.Object")

' Instanziere activePDF Printer Objekt
Set APPrinter = Server.CreateObject("APPrinter.Object")

' Ausgabe Verzeichnis zum Schreiben des PDF Dokumentes
APServer.OutputDirectory = physOutputDirectory

' Erstellungsvorgang des PDF Dokumentes am Server starten
lRet = APServer.StartPrinting() 
If (lRet <> 0) Then
	Response.Write  "Fehler bei StartPrinting aufgetreten!"
	Response.End
End If

' Seitengroesse auf DIN A4 setzen (210 x 297 mm)
APPrinter.PaperSize = 9	' Siehe APPrinter Dokumentation

' PDF als Farbdokument erstellen
APPrinter.ColorMode = 2

' Erstellen des Dokumentes beginnen:
' APServer.NewPrinterName liefert den Namen
' fuer die temporaere Spooling Datei
APPrinter.StartDoc APServer.NewPrinterName

' Antialias fuer Text festlegen
APPrinter.AntiAliasText = True


' ### Zeichnen eines Kreises der Farbe Blau ###
' Festlegen der Strichstaerke in Pixel
APPrinter.DrawWidth = 1
' Festlegen der Linienart, (3 = Dash-Dot)
APPrinter.DrawStyle = 3

' Syntax: APPrinter.PrintCircle Step%, X!, Y!, Radius!, CircleColor
Color = RGB(&H32, &H0E, &HFE) ' Blau
APPrinter.PrintCircle 0, 1500, 1000, 700, Color

' ### Zeichnen einer Ellipse der Farbe Rot ###
APPrinter.DrawWidth = 20
APPrinter.DrawStyle = 0 ' Durchgehende Linie

' Syntax: APPrinter.PrintEllipse Step%, X!, Y!, XRadius!, YRadius!,CircleColor
Color = RGB(&HFF, &H00, &H00) ' Rot
APPrinter.PrintEllipse 0, 2500, 1500, 1200, 700, Color

' ### Zeichnen einer Linie in Schwarz ###
APPrinter.DrawWidth = 15
' Syntax: APPrinter.PrintLine Step1%, X1!, Y1!, Step2%, X2!, Y2!, LineColor , FillOptions$
Color = RGB(&H00, &H00, &H00) ' Schwarz
APPrinter.PrintLine 0, 1000, 2000, 0, 4000, 800, Color, 0


' ### Zeichnen eines gefuellten Rechteckes ###
APPrinter.DrawWidth = 8
' Fuellart festlegen: Waagrechte Linien
APPrinter.FillStyle = 2
' Fuellfarbe festlegen: Silber
APPrinter.FillColor = RGB(&HC0, &HC0, &HC0) ' Silber
' Syntax: APPrinter.PrintLine Step1%, X1!, Y1!, Step2%, X2!, Y2!, LineColor , "B"
' Zeichenfarbe: Schwarz
Color = RGB(&H00, &H00, &H00) ' Schwarz
APPrinter.PrintLine 0, 4000, 1700, 0, 6000, 3000, Color, "BF"

' ### Zeichnen eines gedrehten Textes ###
' Font und Schriftgroesse festlegen
APPrinter.FontName = "Arial"
APPrinter.FontSize = 24
' Festlegen der Position des Textes
APPrinter.CurrentX = 7000
APPrinter.CurrentY = 2500 
' Syntax: APPrinter.PrintRotatedText Str$, CWDegrees
APPrinter.PrintRotatedText "Rotation...", 250

' Erstellen des Dokumentes ist beendet 
APPrinter.EndDoc

' Warten bis der PDF Job beendet ist. 
lRet = APServer.Wait(3)  ' Maximale Wartezeit: 3 Sekunden
If (lRet <> 0) then
	APServer.StopPrinting
	Response.Write  "Es ist ein Fehler aufgetreten!"
	Set APPrinter = Nothing
	Set APServer = Nothing
	Response.End
End If

' Erstellungsvorgang des PDF Dokumentes am Server ist fertig
APServer.StopPrinting

' PDF Datei mit phsyikalischem und virtuellem Pfad:
physPDFFileName = APServer.OutputDirectory & "\" & _
   APServer.NewUniqueID & ".PDF"
PDFFileName = OutputDirectory &  APServer.NewUniqueID & ".PDF"

' Nachricht zum Browser schreiben
Response.Write "Das PDF Dokument<br><b>" & physPDFFileName & _
   "</b><br>wurde erzeugt und steht unter <br><b>" & _
   "<a href=""" & PDFFileName & """>" & PDFFileName & "</a></b>" & _
   "<br>zum Download bereit."

' WICHTIG: Resourcen der Objekte wieder freigeben
Set APPrinter = Nothing
Set APServer  = Nothing
%>
